org.eclipse.lyo.oslc4j.core.model

## Class ServiceProvider

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.oslc4j.core.model.ServiceProvider

- All Implemented Interfaces:
    IExtendedResource, IResource

      @OslcNamespace(value="http://open-services.net/ns/core#")
      @OslcResourceShape(title="OSLC Service Provider Resource Shape",
                         describes="http://open-services.net/ns/core#ServiceProvider")
      public class ServiceProvider
      extends AbstractResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addService(Service srvc)`
    `Date` | `getCreated()`
    `String` | `getDescription()`
    `URI[]` | `getDetails()`
    `String` | `getIdentifier()`
    `OAuthConfiguration` | `getOauthConfiguration()`
    `PrefixDefinition[]` | `getPrefixDefinitions()`
    `Publisher` | `getPublisher()`
    `Service[]` | `getServices()`
    `String` | `getTitle()`
    `void` | `setCreated(Date created)`
    `void` | `setDescription(String description)`
    `void` | `setDetails(URI[] details)`
    `void` | `setIdentifier(String identifier)`
    `void` | `setOauthConfiguration(OAuthConfiguration oauthConfiguration)`
    `void` | `setPrefixDefinitions(PrefixDefinition[] prefixDefinitions)`
    `void` | `setPublisher(Publisher publisher)`
    `void` | `setServices(Service[] services)`
    `void` | `setTitle(String title)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceProvider

          public ServiceProvider()

  - ### Method Detail

    - #### addService

          public void addService(Service srvc)

    - #### getCreated

          @OslcDescription(value="The date and time that this resource was created")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/created")
          @OslcReadOnly
          @OslcTitle(value="Created")
          public final Date getCreated()

    - #### getDescription

          @OslcDescription(value="Description of the service provider")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/description")
          @OslcReadOnly
          @OslcTitle(value="Description")
          @OslcValueType(value=XMLLiteral)
          public String getDescription()

    - #### getDetails

          @OslcDescription(value="URLs that may be used to retrieve web pages to determine additional details about the service provider")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#details")
          @OslcReadOnly
          @OslcTitle(value="Details")
          public URI[] getDetails()

    - #### getIdentifier

          @OslcDescription(value="A unique identifier for this resource")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/identifier")
          @OslcReadOnly
          @OslcTitle(value="Identifier")
          public final String getIdentifier()

    - #### getOauthConfiguration

          @OslcDescription(value="Defines the three OAuth URIs required for a client to act as an OAuth consumer")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#oauthConfiguration")
          @OslcRange(value="http://open-services.net/ns/core#OAuthConfiguration")
          @OslcReadOnly
          @OslcRepresentation(value=Inline)
          @OslcTitle(value="OAuth Configuration")
          @OslcValueShape(value="resourceShapes/oauthConfiguration")
          @OslcValueType(value=LocalResource)
          public OAuthConfiguration getOauthConfiguration()

    - #### getPrefixDefinitions

          @OslcDescription(value="Defines namespace prefixes for use in JSON representations and in forming OSLC Query Syntax strings")
          @OslcName(value="prefixDefinition")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#prefixDefinition")
          @OslcRange(value="http://open-services.net/ns/core#PrefixDefinition")
          @OslcReadOnly
          @OslcRepresentation(value=Inline)
          @OslcTitle(value="Prefix Definitions")
          @OslcValueShape(value="resourceShapes/prefixDefinition")
          @OslcValueType(value=LocalResource)
          public PrefixDefinition[] getPrefixDefinitions()

    - #### getPublisher

          @OslcDescription(value="Describes the software product that provides the implementation")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/publisher")
          @OslcRange(value="http://open-services.net/ns/core#Publisher")
          @OslcReadOnly
          @OslcRepresentation(value=Inline)
          @OslcTitle(value="Publisher")
          @OslcValueShape(value="resourceShapes/publisher")
          @OslcValueType(value=LocalResource)
          public Publisher getPublisher()

    - #### getServices

          @OslcDescription(value="Describes services offered by the service provider")
          @OslcName(value="service")
          @OslcOccurs(value=OneOrMany)
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#service")
          @OslcRange(value="http://open-services.net/ns/core#Service")
          @OslcReadOnly
          @OslcRepresentation(value=Inline)
          @OslcTitle(value="Services")
          @OslcValueShape(value="resourceShapes/service")
          @OslcValueType(value=LocalResource)
          public Service[] getServices()

    - #### getTitle

          @OslcDescription(value="Title of the service provider")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/title")
          @OslcReadOnly
          @OslcTitle(value="Title")
          @OslcValueType(value=XMLLiteral)
          public String getTitle()

    - #### setCreated

          public final void setCreated(Date created)

    - #### setDescription

          public void setDescription(String description)

    - #### setDetails

          public void setDetails(URI[] details)

    - #### setIdentifier

          public final void setIdentifier(String identifier)

    - #### setOauthConfiguration

          public void setOauthConfiguration(OAuthConfiguration oauthConfiguration)

    - #### setPrefixDefinitions

          public void setPrefixDefinitions(PrefixDefinition[] prefixDefinitions)

    - #### setPublisher

          public void setPublisher(Publisher publisher)

    - #### setServices

          public void setServices(Service[] services)

    - #### setTitle

          public void setTitle(String title)

Copyright © 2016. All rights reserved.